CREATE TABLE hr_gen_ai_prompts_seed_b] (
    PROMPT_CODE               VARCHAR2(400)     NOT NULL,
    FAMILY                    VARCHAR2(320)     NOT NULL,
    PRODUCT                   VARCHAR2(400)     NOT NULL,
    SEED_DATA_SOURCE          VARCHAR2(2048),
    USE_CASE_ID               VARCHAR2(400)     NOT NULL,
    ORA_SEED_SET1             VARCHAR2(4)       NOT NULL,
    ORA_SEED_SET2             VARCHAR2(4)       NOT NULL,
    PROMPT                    VARCHAR2(4000),
    OBJECT_VERSION_NUMBER     NUMBER(9, 0)      NOT NULL,
    CREATED_BY                VARCHAR2(256)     NOT NULL,
    CREATION_DATE             TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY           VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE          TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN         VARCHAR2(128) ,
    MODULE_ID                 VARCHAR2(128) ,
    AVAILABLE_TOKENS          VARCHAR2(4000),
    PROMPT_TMPL_AI_ID         VARCHAR2(128)     NOT NULL,
    PROMPT_TMPL               CLOB          ,
    PROMPT_TMPL_VERSION       NUMBER(4, 0)  ,
    ENABLED_FLAG              VARCHAR2(4)   ,
    MODEL_CODE                VARCHAR2(1020),
    MODEL_VERSION             VARCHAR2(320) ,
    MODEL_PROVIDER            VARCHAR2(320) ,
    CONFIGURABLE              VARCHAR2(4)       NOT NULL,
    PERSIST_DATA              VARCHAR2(4)       NOT NULL,
    BO_HIERARCHY_CLASSPATH    VARCHAR2(800) ,
    LANGUAGE_OPT_IN           VARCHAR2(4000),
    EXTRA_PROPERTIES          VARCHAR2(4000)
);
